﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Silverlight.Chart;

namespace SilverlightApplication27.ViewModel
{
    public class VM
    {
        ObservableCollection<SaleTotal> salestotals = new ObservableCollection<SaleTotal>();
        ObservableCollection<SaleTotal> seriessales = new ObservableCollection<SaleTotal>();
        int sercount = 0;
        public VM()
        {
            Random rand = new Random();
            for (int i = 0; i < 3; i++)
            {
              
                for (int j = 0; j < 4; j++)
                {
                    SaleTotal st = new SaleTotal();
                    st.DeptName = "Dept" + i.ToString();
                    switch (j)
                    {
                        case 0:
                            {
                                st.SeasonName = "Spring";
                                break;
                            }
                        case 1:
                            {
                                st.SeasonName = "Summer";
                                break;
                            }
                        case 2:
                            {
                                st.SeasonName = "Fall";
                                break;
                            }
                        case 3:
                            {
                                st.SeasonName = "Winter";
                                break;
                            }

                    }
                    st.Total = rand.Next(350);
                    salestotals.Add(st);
                }

               
            }
        }

        public void CreateSeries(XamWebChart chart)
        {
            string prevdept = string.Empty;
           
            foreach (SaleTotal st in salestotals)
            {
                if (prevdept == string.Empty)
                {
                    prevdept = st.DeptName;
                    

                };

                 if (prevdept == st.DeptName)
                {
                    SaleTotal newst = st.Clone();
                    seriessales.Add(newst);

                }
                else if (prevdept != st.DeptName)
                {
                    //sercount++;
                    //Series s = new Series();
                    //s.ChartType = ChartType.Column;
                    //s.DataMapping = "Label = SeasonName; Value = Total";
                    //ObservableCollection<SaleTotal> newseriestotals = new ObservableCollection<SaleTotal>();

                    //foreach (SaleTotal st1 in seriessales)
                    //{
                    //    SaleTotal nst = st1.Clone();
                    //    newseriestotals.Add(nst);
                    //};
                    //s.DataSource = newseriestotals;
                    //chart.Series.Add(s);
                    AddSeriesChart(chart, prevdept);
                    seriessales.Clear();
                    prevdept = st.DeptName;
                    SaleTotal newst = st.Clone();
                    seriessales.Add(newst);
                }
                
            }
            AddSeriesChart(chart,prevdept);

        }

        public void AddSeriesChart(XamWebChart chart, string seriesname)
        {
            sercount++;
            Series s = new Series();
            
            s.Name = seriesname;
            s.Label = seriesname;
            s.ChartType = ChartType.Column;
            s.DataMapping = "Value=Total;Label=SeasonName";
            ObservableCollection<SaleTotal> newseriestotals = new ObservableCollection<SaleTotal>();

            foreach (SaleTotal st1 in seriessales)
            {
                SaleTotal nst = st1.Clone();
                newseriestotals.Add(nst);
            };
            s.DataSource = newseriestotals;
            chart.Series.Add(s);
        }

    }
}
